# class OptionParser::Switch::RequiredArgument

`Switch` that takes an argument.

### Public Instance Methods

parse (arg, argv, &_)
Source

    # File lib/optparse.rb, line 742
    def parse(arg, argv, &_)
      unless arg
        raise MissingArgument if argv.empty?
        arg = argv.shift
      end
      conv_arg(*parse_arg(arg, &method(:raise)))
    end

Raises an exception if argument is not present.